#ifndef SINWAVE_H
#define SINWAVE_H

#include <QMainWindow>
#include "multithread.h"

namespace Ui {
    class Sinwave;
}

class Sinwave : public QMainWindow {
    Q_OBJECT
public:

    qreal amplitude;
    qreal Ttime;
    qreal X1; // X Cordinate
    qreal Y1; // Y Cordinate
    int sinCount;
    int lbl1;


    Sinwave(QWidget *parent = 0);
    ~Sinwave();

protected:
    void changeEvent(QEvent *e);
    void paintEvent(QPaintEvent *);

private:
    Ui::Sinwave *ui;
    QThread *thread;
    MultiThread *multithread;

private slots:
    void on_actionPause_activated();
    //void on_actionThreadStart_activated();
    void on_actionStart_activated();
    void on_actionSTART_activated();
    void on_pushButtonStart_clicked();
    void display();
};

#endif // SINWAVE_H
